Skip to main content
POST
/
v1
/
application_configurations
/
{id}
Update an application configuration
curl --request POST \
  --url https://api.yorlet.com/v1/application_configurations/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "active": true,
  "name": "<string>",
  "steps": [
    {
      "id": "<string>",
      "next_step": "<string>",
      "type": "advance_rent"
    }
  ]
}
'
{
  "id": "<string>",
  "created": 123,
  "object": "application_configuration",
  "active": true,
  "initial_step": "<string>",
  "name": "<string>",
  "steps": [
    {
      "id": "<string>",
      "next_step": "<string>",
      "type": "advance_rent"
    }
  ],
  "account": "<string>",
  "deleted": false
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
active
boolean

Whether the application configuration is active.

name
string

The name of the application configuration.

steps
(Advance rent · object | Completion · object | Contract · object | Deposit · object | Guarantor · object | Holding fee · object | Partial payment · object | Payment method · object | Pre-qualification · object | Referencing · object | Verification session · object | Waitpoint · object)[]

The steps of the application configuration.

Minimum array length: 1

The advance rent step.

Response

200 - application/json

Returns the application configuration object if the update succeeded.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
application_configuration
active
boolean
required

Whether the application configuration is active.

initial_step
string
required

The identifier of the initial step in the configuration.

name
string
required

The name of the application configuration.

steps
(Advance rent · object | Completion · object | Contract · object | Deposit · object | Guarantor · object | Holding fee · object | Partial payment · object | Payment method · object | Pre-qualification · object | Referencing · object | Verification session · object | Waitpoint · object)[]
required

The steps of the application configuration.

The advance rent step.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.